STRERROR(3)

NAME
strerror - return string describing error code

SYNOPSIS
#include <string.h>

char *strerror(int errnum);

DESCRIPTION
The strerror() function returns a string describing the error code passed in the argument errno. The string can only be used until the next call to strerror().

RETURN VALUE
The strerror() function returns the appropriate description string, or an unknown error message if the error code is unknown.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
errno(2), perror(3), strsignal(3)